Skip to main content

Response to Invitation

PUT 

/client/users/:correlation_id/households/:householdID/invites/:inviterAccountID

Created a new CUX API to Response the invitation of a Household

  • Create the Secondary member object if invitation accepted
  • Delete an INVITE object ( In both cases)

Request

Path Variables

  • correlation_id
  • householdID
  • inviterAccountID

Body

AttributeDefinitionFormatNotes
statusContains reply information for invitationENUM: "ACCEPTED" or "DECLINED"Must contain one of these values

Response

AttributeDefinitionFormatNotes
messageGeneric response messageStringContains message: "The invitation has been accepted." or "The invitation has been declined."

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400status required to be non-emptyINVALID_REQUESTstatus is required field
400Could not find the Inviter Account.INVALID_REQUESTInviter Account is not found
400Household Member Capacity Limit ExceededINVALID_REQUESTHousehold member capacity limit is exceeded.
400Can not respond invite from an unregistered account.INVALID_REQUESTInviter is unregistered user.
400Invitee Not Found.INVALID_REQUESTCan not find Invitee by provided details.
400Can not respond to invite you are already member of a household.INVALID_REQUESTInvitee already belongs to mentioned household
400Can not respond to invite, Inviter does not belongs to this householdINVALID_REQUESTInviter does not belongs to this household
404 Not FoundConfig Not foundNOT_FOUNDConfig does not exist in database.
404 Not FoundHousehold Template Not FoundNOT_FOUNDHousehold template does not exist.

Request

Responses

200 - Accept Invitation